<template>
    <v-app id="inspire">
        <template v-if="user.prenom!=='' && user.nom!=='' && user.email!==''">
            <v-navigation-drawer
                    v-model="drawer"
                    app
                    color="secondary"
                    clipped
            >
                <v-list-item>
                    <v-list-item-content>
                        <v-list-item-title class="title" v-if="user.nom!==undefined && user.prenom!==undefined">
                            {{user.nom + ' '+user.prenom }}
                        </v-list-item-title>
                    </v-list-item-content>
                </v-list-item>

                <v-divider></v-divider>
                <v-list dense>
                    <v-list-item
                            v-for="item in items"
                            :key="item.text"
                            :to="item.route"
                            link
                    >
                        {{item.text}}

                    </v-list-item>
                    <v-list-item @click="disconnect()">
                        Deconnexion
                    </v-list-item>
                </v-list>
            </v-navigation-drawer>

            <v-app-bar
                    app
                    clipped-left
                    class="gradient"
                    dense
            >
                <v-app-bar-nav-icon @click.stop="drawer = !drawer"/>

                <v-toolbar-items>
                    <v-img position="left" contain max-height="6vh" src="./assets/logo-name.png"></v-img>
                </v-toolbar-items>
                <v-spacer/>
                <v-row
                        align="center"
                        style="max-width: 650px"
                >

                </v-row>
            </v-app-bar>

            <v-content>
                <v-container>

                        <router-view/>


                </v-container>
            </v-content>
        </template>
        <template v-else>
            <Connexion/>
        </template>
    </v-app>
</template>

<script>
    import Connexion from "./components/Connexion";
    export default {
        name: 'App',
        components:{
            Connexion,
        },
        data: () => ({
            drawer: null,
            items: [
                {text: 'Matching', route: "Match"},
                {text: 'Projets', route: "Projets"},
                {text: 'Profil', route: "Profil"},
            ],

        }),
        computed: {
            user() {
                return this.$store.state.user;
            }


        },
        methods:{
            disconnect(){
                this.$store.state.user={ id:'',nom:'',prenom:'',email:'', token:''};
            }
        },
        created() {
            this.$vuetify.theme.dark = true
        },

    };
</script>
<style>
    .gradient{
        background: linear-gradient(#FD2B7A, #FF7456);
    }

</style>